Subject: Re: [PATCH RFC v1 net-next 00/12] bridge-fastpath and related improvements

From: Pablo Neira Ayuso <[email-masked]>
Date: Thu, 17 Oct 2024 14:39:17 +0200

On Thu, Oct 17, 2024 at 11:17:09AM +0200, Felix Fietkau wrote:
[...]
> By the way, based on some reports that I received, I do believe that the
> existing forwarding fastpath also doesn't handle roaming properly.
> I just didn't have the time to properly look into that yet.

I think it should work for the existing forwarding fastpath.

- If computer roams from different port, packets follow classic path,
  then new flow entry is created. The flow old entry expires after 30
  seconds.
- If route is stale, flow entry is also removed.

Maybe I am missing another possible scenario?

Thanks.